namespace ClassLibrary1
{
    using System;
    using System.ComponentModel;
    using System.Data;
    using System.Data.SqlClient;
    using System.Drawing;
    using System.Windows.Forms;
    using Telerik.Reporting;
    using Telerik.Reporting.Charting;
    using Telerik.Reporting.Drawing;

    /// <summary>
    /// Summary description for PieChartReport.
    /// </summary>
    public partial class PieChartReport : Telerik.Reporting.Report
    {
        public PieChartReport()
        {
            //
            // Required for telerik Reporting designer support
            //
            InitializeComponent();

            //
            // TODO: Add any constructor code after InitializeComponent call
            //
        }

        private void chart1_NeedDataSource(object sender, EventArgs e)
        {

            Telerik.Reporting.Processing.Chart procChart = (Telerik.Reporting.Processing.Chart)sender;
            string sql = @"SELECT [Year],[Amount] from [ChartData].[dbo].[Series]";
            string connectionString = @"Data Source=(local)\SQLEXPRESS;Initial Catalog=ChartData;Integrated Security=SSPI";
            SqlDataAdapter adapter = new SqlDataAdapter(sql, connectionString);
            DataSet dataSet = new DataSet();
            adapter.Fill(dataSet);
            Telerik.Reporting.Chart defChart = (Telerik.Reporting.Chart)procChart.ItemDefinition;
            defChart.IntelligentLabelsEnabled = false;
            ChartSeries serie = new ChartSeries();
            serie.Type = ChartSeriesType.Pie;
            serie.Clear();
            serie.Appearance.LegendDisplayMode = Telerik.Reporting.Charting.ChartSeriesLegendDisplayMode.ItemLabels ;
            serie.Appearance.ShowLabelConnectors = true;
            foreach (DataRow dr in dataSet.Tables[0].Rows)
            {
                ChartSeriesItem item = new ChartSeriesItem();
                item.YValue = Convert.ToDouble(dr["Amount"]);
                item.Name = dr["Year"].ToString();
                item.Appearance.Exploded = true;
                item.Label.TextBlock.Text ="pie - "+ dr["Amount"].ToString();                
                serie.Items.Add(item);
            }
            defChart.Series.Add(serie);
           


        }
    }
}